QT语音论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
查看: 174|回复: 0

对不起,您安装的不是正版应用,安装程序无法继续执行

[复制链接]
扫一扫,手机访问本帖
发表于 2014-8-20 23:40:36 | 显示全部楼层 |阅读模式
我看论坛居然还把这个拿来卖钱,真是卑鄙,直接告诉大家方法 。


discuz疯狂的年代里,作为草根站长的你们是否还在为了一个模板而苦苦奋斗几个通宵吗?那是错的,在当今高效发达的互联网里。什么都可以找到,更何况一个模板。但是,通常别人的东西都是有版权什么的。该如何呢?
  当我们在使用别人购买的Discuz x2.5模板或者插件是,系统会提示我们:对不起,您安装的不是正版应用,安装程序无法继续执行。这个是因为这个模板、插件是正版的,而discuz 社区在更新到2.0以上后,增加了对插件的版本检测,那名我们有没有办法解决呢?答案是很简单的。
在网站的根目录下找到


方法一:
1、打开/source/function/function_cloudaddons.php这个文件,
2、搜索:cloudaddons_validator,
3、一般在97行,删去或者注释掉cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));这句代码,这样就解决问题了。


方法二:
           
     模板不能安装只要修改你模板文件夹名称就可以安装了,比如原来的模板是pengyouz,现在你任意修改比如修改为pengyouzz,然后在模板安装文件找到./template/pengyouz你把这个里面的pengyouz改为刚才你修改过的新名称pengyouzz,这样就可以了,还有就是需要修改模板名称链接,可以用Dreamweaver来批量修改。



QT语音论坛 ( 鲁ICP备14016835-1号 )

GMT+8, 2018-8-18 16:53

Powered by QT语音论坛

© 2012-2018 QTvcd Inc.

快速回复 返回顶部 返回列表